curl --request GET \
--url https://{defaultHost}/v1/subscriptions/filter_schema \
--header 'Authorization: Bearer <token>'{
"object": "rule_schema",
"schema_id": "subscription",
"attributes": [
{
"key": "live_mode",
"metadata": false,
"supported_values": [],
"type": "boolean",
"operators": [
"is",
"is_not"
]
},
{
"key": "cancel_at_period_end",
"metadata": false,
"supported_values": [],
"type": "boolean",
"operators": [
"is",
"is_not"
]
},
{
"key": "created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "status",
"metadata": false,
"supported_values": [
"active",
"trialing",
"past_due",
"canceled",
"completed",
"incomplete"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "customer.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "customer.email",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "product.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "price.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "price.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
}
]
}Retrieves the filter schema for subscriptions.
curl --request GET \
--url https://{defaultHost}/v1/subscriptions/filter_schema \
--header 'Authorization: Bearer <token>'{
"object": "rule_schema",
"schema_id": "subscription",
"attributes": [
{
"key": "live_mode",
"metadata": false,
"supported_values": [],
"type": "boolean",
"operators": [
"is",
"is_not"
]
},
{
"key": "cancel_at_period_end",
"metadata": false,
"supported_values": [],
"type": "boolean",
"operators": [
"is",
"is_not"
]
},
{
"key": "created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "status",
"metadata": false,
"supported_values": [
"active",
"trialing",
"past_due",
"canceled",
"completed",
"incomplete"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "customer.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "customer.email",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "product.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "price.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "price.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.surecart.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Success
Was this page helpful?